Мазмұнға өту

Қонақүйлер

Cancel a booking under its cancellation policy.

post/v1/hotels/bookings/{bookingId}/cancel

  • Аутентификация қажет
  • Idempotency-Key қажет

Параметрлер

АтауыОрныТүріСипаттама
bookingId*жолstring

Жауаптар

200OKHotelBooking

  • bookingIdstring
  • bookingReferencestringnull болуы мүмкін
  • statusstring

    confirmed | pending | cancelled | unknown.

  • hotelCodestringnull болуы мүмкін
  • hotelNamestringnull болуы мүмкін
  • cityNamestringnull болуы мүмкін
  • roomTypestringnull болуы мүмкін
  • checkInstringnull болуы мүмкін
  • checkOutstringnull болуы мүмкін
  • Money

    Money on the wire: decimal string (never a float) + ISO 4217.

    • amountstring
    • currencystring
  • refundablebooleannull болуы мүмкін
  • priceChangedboolean
  • HolderInfo
    • firstNamestring
    • lastNamestring
    • emailstring
    • phonestring
  • BookingRoom[]
    • Guest[]
  • specialRequestsstringnull болуы мүмкін
  • confirmedAtstring (date-time)null болуы мүмкін

Код мысалдары

Сұрауға шлюз тексеретін тәсілмен қол қоятын толық бағдарламалар. YOUR_KEY_ID және YOUR_SECRET мәндерін ауыстырыңыз.

# Sign the request: METHOD \n path+query \n unix time \n nonce \n sha256(body)
KEY_ID="YOUR_KEY_ID"
SECRET="YOUR_SECRET"
BODY=''
TS=$(date +%s)
NONCE=$(openssl rand -hex 16)
BODY_HASH=$(printf '%s' "$BODY" | openssl dgst -sha256 | sed 's/^.* //')
CANON=$(printf 'POST\n/v1/hotels/bookings/b216bGJ5bG1BMURGMVFadERnPT0/cancel\n%s\n%s\n%s' "$TS" "$NONCE" "$BODY_HASH")
SIG=$(printf '%s' "$CANON" | openssl dgst -sha256 -hmac "$SECRET" | sed 's/^.* //')

curl -X POST "https://api.dubaitrip.com/v1/hotels/bookings/b216bGJ5bG1BMURGMVFadERnPT0/cancel" \
  -H "X-API-Key: $KEY_ID" \
  -H "X-Timestamp: $TS" \
  -H "X-Nonce: $NONCE" \
  -H "X-Signature: $SIG" \
  -H "Idempotency-Key: $(uuidgen)" \
  -H "Accept: application/json"